"use strict";

$(document).ready(()=>{
    const pathToSfeduAPIAdapter = 'http://grade.local/sync/';

    $('#syncInnerDepartments').click(()=>{
        $.get(pathToSfeduAPIAdapter + 'subdivisions/inner');
    });

    $('#syncDepartments').click(()=>{
        $.get(pathToSfeduAPIAdapter + 'subdivisions');
    });

    $('#syncTeachers').click(()=>{
        const enableDismissed = $('#syncTeacherEnableDismissed')[0].value;

        $.get(pathToSfeduAPIAdapter + 'teachers?enableDismissed=' + enableDismissed);
    });

    $('#syncPlans').click(()=>{
        const year = $('#syncPlansYear')[0].value;
        const semester = $('#syncPlansSemester')[0].value;

        $.get(pathToSfeduAPIAdapter + 'disciplines?year=' + year + '&semester=' + semester);
    });

    $('#syncStudents').click(()=>{
        const enableDismissed = $('#syncStudentsEnableDismissed')[0].value;

        $.get(pathToSfeduAPIAdapter + 'students?enableDismissed=' + enableDismissed);
    });
});
