/** @deprecated */
const g_URLdir = '/~dev_rating/';
const URLdir = g_URLdir;
const g_SitePath = 'https://grade.sfedu.ru/';
const SitePath = g_SitePath;

// Далее юзаем глобальные переменные с префиксом "g"

var singleNumRegexp = /\w_(\d+)/;
var parseID = function($this) {
    singleNumRegexp.lastIndex = 0;
    return +singleNumRegexp.exec($this.attr('id'))[1];
};

// Common.js
$.postJSON = function (url, data, callback) {
    return $.post(url, data, callback, 'json');
};


$(window).on('turnOn', event => $(event.target).prop('disabled', false));
$(window).on('turnOff', event => $(event.target).prop('disabled', true));

$.fn.extend({
    turnOn: function () {
        return $(this).trigger('turnOn');
    },
    turnOff: function () {
        return $(this).trigger('turnOff');
    },
    aggregate: function (foo, init = 0) {
        var res = init;
        this.each((_, elem) => { res = foo(res, elem); });
        return res;
    }
});

var Auth = (function () {
    var allowRequest = true;

    return {
        signIn: function (login, pass) {
            if (!allowRequest) return;
            allowRequest = false;

            var self = this;
            this.onDeprecate();

            return $.postJSON(URLdir + 'handler/sign/in', {
                'login':    login,
                'password': pass,
            }).always(() => {
                allowRequest = true;
                self.onAllow();
            });
        },

        onAllow: function () { },

        onDeprecate: function () { }
    }
})();

var Watcher = (function () {
    var timer = 0;
    return function (ms, callback) {
        clearTimeout(timer);
        timer = setTimeout(callback, ms);
    };
})();


Element.prototype.hasClass = function (className) {
    return new RegExp(' ' + className + ' ').test(' ' + this.className + ' ');
};

Element.prototype.addClass = function (className) {
    if (!this.hasClass(className)) {
        this.className += ' ' + className;
    }
};

Element.prototype.removeClass = function (className) {
    var newClass = ' ' + this.className.replace(/[\t\r\n]/g, ' ') + ' ';
    if (this.hasClass(className)) {
        while (newClass.indexOf(' ' + className + ' ') >= 0) {
            newClass = newClass.replace(' ' + className + ' ', ' ');
        }
        this.className = newClass.replace(/^\s+|\s+$/g, ' ');
    }
};

Element.prototype.toggleClass = function (className) {
    var newClass = ' ' + this.className.replace(/[\t\r\n]/g, " ") + ' ';
    if (this.hasClass(className)) {
        while (newClass.indexOf(" " + className + " ") >= 0) {
            newClass = newClass.replace(" " + className + " ", " ");
        }
        this.className = newClass.replace(/^\s+|\s+$/g, ' ');
    } else {
        this.className += ' ' + className;
    }
};

let getSettings = (() => {
    let $hiddenInfo = $('#hidden_div');
    let settings = $.parseJSON($hiddenInfo.html());
    $hiddenInfo.remove();
    return settings;
});
